Bug 1694375 - mlt-6.14.0 is available
Summary: mlt-6.14.0 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mlt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-30 22:02 UTC by Upstream Release Monitoring
Modified: 2019-05-20 01:03 UTC (History)
2 users (show)

Fixed In Version: mlt-6.16.0-1.fc30
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-20 01:03:29 UTC


Attachments (Terms of Use)
mlt.spec file for mlt-6.14.0 (21.52 KB, text/x-matlab)
2019-04-24 15:53 UTC, MartinKG
no flags Details

Description Upstream Release Monitoring 2019-03-30 22:02:37 UTC
Latest upstream release: 6.14.0
Current version/release in rawhide: 6.12.0-7.fc31
URL: http://www.mltframework.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/11007/

Comment 1 Sergio Monteiro Basto 2019-03-31 01:31:30 UTC
Finally we may start python3 sub package

Comment 2 MartinKG 2019-04-24 15:53:30 UTC
Created attachment 1558296 [details]
mlt.spec file for  mlt-6.14.0

@Sergio
i have worked on a spec file for mlt-6.14.0.
Can you have a look on it, if is ok.

Comment 3 Sergio Monteiro Basto 2019-04-24 17:13:12 UTC
Can't you clone https://src.fedoraproject.org/rpms/mlt/ ? and do some patches there ? not all in one . 

I compare your spec with master and looks good but [1] , why you need 2 pythons ? 



[1]
+%if 0%{?fedora} <= 28
 BuildRequires:  python2-devel
+BuildRequires:  python3-devel

Comment 4 MartinKG 2019-04-25 06:53:15 UTC
without python2 i get this error [1]: mlt_wrap.cxx:173:11: fatal error: Python.h: No such file or directory

%if 0%{?fedora} <= 28
#BuildRequires:  python2-devel
BuildRequires:  python3-devel
%else
BuildRequires:  python3-devel
%endif

[1] https://kojipkgs.fedoraproject.org//work/tasks/9790/34409790/build.log

Comment 5 Sergio Monteiro Basto 2019-04-25 16:24:47 UTC
(In reply to MartinKG from comment #4)
> without python2 i get this error [1]: mlt_wrap.cxx:173:11: fatal error:
> Python.h: No such file or directory
> 
> %if 0%{?fedora} <= 28
> #BuildRequires:  python2-devel
> BuildRequires:  python3-devel
> %else
> BuildRequires:  python3-devel
> %endif
> 
> [1] https://kojipkgs.fedoraproject.org//work/tasks/9790/34409790/build.log

Building python...DEPRECATION WARNING: python2 invoked with /usr/bin/python.
    Use /usr/bin/python3 or /usr/bin/python2
    /usr/bin/python will be removed or switched to Python 3 in the future.
    If you cannot make the switch now, please follow instructions at https://fedoraproject.org/wiki/Changes/Avoid_usr_bin_python_in_RPM_Build#Quick_Opt-Out

https://stackoverflow.com/a/44475142/778517

And please learn (git) to clone a repo and split all modifications in some commits for be easier to review . 

Thanks

Comment 6 Sergio Monteiro Basto 2019-04-28 05:40:42 UTC
I started my build tests here [1] files here [2] 

Thanks for your help and regards.

[1]
https://copr.fedorainfracloud.org/coprs/sergiomb/opencv/builds/

[2]
https://copr-dist-git.fedorainfracloud.org/cgit/sergiomb/opencv/mlt.git/tree/?h=f30

Comment 7 Fedora Update System 2019-04-29 01:42:49 UTC
mlt-6.14.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-07028ce654

Comment 8 Fedora Update System 2019-04-30 02:48:53 UTC
mlt-6.14.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-07028ce654

Comment 9 Fedora Update System 2019-05-07 20:47:43 UTC
mlt-6.14.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a031ecd2d

Comment 10 Fedora Update System 2019-05-08 04:11:01 UTC
mlt-6.14.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3a031ecd2d

Comment 11 Fedora Update System 2019-05-11 12:46:56 UTC
mlt-6.16.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-23642cd2ce

Comment 12 Fedora Update System 2019-05-12 00:45:13 UTC
mlt-6.16.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-23642cd2ce

Comment 13 Fedora Update System 2019-05-20 01:03:29 UTC
mlt-6.16.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.